Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/context_nemo.xml
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/context_nemo.xml	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/context_nemo.xml	(revision 13540)
@@ -11,5 +11,5 @@
        <variable id="ref_month" type="int"> 01 </variable>
        <variable id="ref_day"   type="int"> 01 </variable>
-       <variable id="rau0"      type="float" > 1026.0 </variable>
+       <variable id="rho0"      type="float" > 1026.0 </variable>
        <variable id="cpocean"   type="float" > 3991.86795711963 </variable>
        <variable id="convSpsu"  type="float" > 0.99530670233846  </variable>
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 13540)
@@ -106,6 +106,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF=F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF=F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF=F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF=F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
@@ -115,5 +115,5 @@
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_OFF     = .true.     !  free-slip       : Cd = 0                  
+   ln_drg_OFF = .true.     !  free-slip       : Cd = 0                  (F => fill namdrg_bot
 /
 !!======================================================================
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 13540)
@@ -106,6 +106,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF=F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF=F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF=F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF=F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
@@ -115,5 +115,5 @@
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_OFF     = .true.     !  free-slip       : Cd = 0                  
+   ln_drg_OFF = .true.    !  free-slip       : Cd = 0                  (F => fill namdrg_bot
 /
 !!======================================================================
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 13540)
@@ -106,6 +106,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF=F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF=F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF=F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF=F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
@@ -115,5 +115,5 @@
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_OFF     = .true.     !  free-slip       : Cd = 0                  
+   ln_drg_OFF = .true.    !  free-slip       : Cd = 0                  (F => fill namdrg_bot
 /
 !!======================================================================
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 13540)
@@ -106,6 +106,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF=F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF=F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF=F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF=F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
@@ -115,5 +115,5 @@
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_OFF     = .true.     !  free-slip       : Cd = 0                  
+   ln_drg_OFF = .true.    !  free-slip       : Cd = 0                  (F => fill namdrg_bot
 /
 !!======================================================================
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg	(revision 13540)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization
 
    sn_hti = 'initice_60pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_120pts
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_120pts	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_120pts	(revision 13540)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice_120pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_240pts
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_240pts	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_240pts	(revision 13540)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice_240pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
Index: NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_60pts
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_60pts	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/tests/ICE_ADV1D/EXPREF/namelist_ice_cfg_60pts	(revision 13540)
@@ -88,5 +88,5 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.          !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =  1              !  netcdf file provided for initialization 
 
    sn_hti = 'initice_60pts'                 , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
